View Issue Details

IDProjectCategoryView StatusLast Update
0006505Talerwallet (TS core)public2022-09-27 19:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeveritytextReproducibilityhave not tried
Status assignedResolutionopen 
Summary0006505: define UX and API for "global errors/notifications"
DescriptionGlobal errors/notifications are events that need user attention and/or that aren't displayed in a transaction list item.

Examples:
* backup/sync failed (with >N retries)
* money lost due to recoup
  * (Should this be a transaction instead?! => it could *also* be a transaction)
* refresh (after pay) fails for too long
 * (Should maybe also be a transaction? => no)
* Exchange master public key changes, so refresh becomes impossible unless the new public key is audited or directly trusted/accepted.
* Wallet DB state inconsistencies that indicate some bug / corruption

To prevent spammy notifications / thrashing, every global error/notification should get some ID based on the type of the problem and the underlying resource.
TagsNo tags attached.

Activities

sebasjm

2022-09-23 20:56

developer   ~0019178

Is this the same as WebEx pending operations? They are shown as a header on the top of the wallet popup.

It is designed to hold up to 3 elements of any type and clicking them will lead you to the pending transaction (or maybe the screen to solve the problem / find more information). I'm worried that 3 elements may not be enough.

Florian Dold

2022-09-27 19:23

manager   ~0019192

I think the answer is "it depends". For refreshes, I can see that we can integrate them into the pending transactions.

However, for stuff like "your backup isn't working", this is not really a transaction. It doesn't have a currency and amount associated with it. But it should probably be rendered "in the vicinity" of where we show pending transactions. Or maybe even more prominently? I'm not sure!

Issue History

Date Modified Username Field Change
2020-08-21 17:50 Florian Dold New Issue
2020-08-21 17:50 Florian Dold Status new => assigned
2020-08-21 17:50 Florian Dold Assigned To => Florian Dold
2020-09-11 22:56 Christian Grothoff Severity minor => text
2021-06-14 17:28 Florian Dold Description Updated
2021-06-14 17:31 Florian Dold Description Updated
2021-06-15 10:54 Florian Dold Description Updated
2022-09-23 20:56 sebasjm Note Added: 0019178
2022-09-27 19:23 Florian Dold Note Added: 0019192